#ifndef BISON_ADA_EXP_H
# define BISON_ADA_EXP_H

#ifndef YYSTYPE
typedef union
  {
    LONGEST lval;
    struct {
      LONGEST val;
      struct type *type;
    } typed_val;
    struct {
      DOUBLEST dval;
      struct type *type;
    } typed_val_float;
    struct type *tval;
    struct stoken sval;
    struct block *bval;
    struct internalvar *ivar;
  } yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	INT	257
# define	NULL_PTR	258
# define	CHARLIT	259
# define	FLOAT	260
# define	COLONCOLON	261
# define	STRING	262
# define	NAME	263
# define	DOT_ID	264
# define	DOT_ALL	265
# define	SPECIAL_VARIABLE	266
# define	ASSIGN	267
# define	_AND_	268
# define	OR	269
# define	XOR	270
# define	THEN	271
# define	ELSE	272
# define	NOTEQUAL	273
# define	LEQ	274
# define	GEQ	275
# define	IN	276
# define	DOTDOT	277
# define	UNARY	278
# define	MOD	279
# define	REM	280
# define	STARSTAR	281
# define	ABS	282
# define	NOT	283
# define	VAR	284
# define	ARROW	285
# define	TICK_ACCESS	286
# define	TICK_ADDRESS	287
# define	TICK_FIRST	288
# define	TICK_LAST	289
# define	TICK_LENGTH	290
# define	TICK_MAX	291
# define	TICK_MIN	292
# define	TICK_MODULUS	293
# define	TICK_POS	294
# define	TICK_RANGE	295
# define	TICK_SIZE	296
# define	TICK_TAG	297
# define	TICK_VAL	298
# define	NEW	299
# define	OTHERS	300


extern YYSTYPE yylval;

#endif /* not BISON_ADA_EXP_H */
