/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright 2001, 2002 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* This file was created with the aid of ``regdat.sh'' and ``/homes/dmitrym/build/junos-head/src/gpl-dist/gdb/gdb/regformats/reg-mips.dat''.  */

#include "regdef.h"
#include "regcache.h"

/* Gdb expects 64bit registers, hence the factor of 2 on sizes/offsets */
struct reg regs_mips[] = {
  { "zero", 0, 32*2 },
  { "at", 32*2, 32*2 },
  { "v0", 64*2, 32*2 },
  { "v1", 96*2, 32*2 },
  { "a0", 128*2, 32*2 },
  { "a1", 160*2, 32*2 },
  { "a2", 192*2, 32*2 },
  { "a3", 224*2, 32*2 },
  { "t0", 256*2, 32*2 },
  { "t1", 288*2, 32*2 },
  { "t2", 320*2, 32*2 },
  { "t3", 352*2, 32*2 },
  { "t4", 384*2, 32*2 },
  { "t5", 416*2, 32*2 },
  { "t6", 448*2, 32*2 },
  { "t7", 480*2, 32*2 },
  { "s0", 512*2, 32*2 },
  { "s1", 544*2, 32*2 },
  { "s2", 576*2, 32*2 },
  { "s3", 608*2, 32*2 },
  { "s4", 640*2, 32*2 },
  { "s5", 672*2, 32*2 },
  { "s6", 704*2, 32*2 },
  { "s7", 736*2, 32*2 },
  { "t8", 768*2, 32*2 },
  { "t9", 800*2, 32*2 },
  { "k0", 832*2, 32*2 },
  { "k1", 864*2, 32*2 },
  { "gp", 896*2, 32*2 },
  { "sp", 928*2, 32*2 },
  { "s8", 960*2, 32*2 },
  { "ra", 992*2, 32*2 },
  { "sr", 1024*2, 32*2 },
  { "lo", 1056*2, 32*2 },
  { "hi", 1088*2, 32*2 },
  { "bad", 1120*2, 32*2 },
  { "cause", 1152*2, 32*2 },
  { "pc", 1184*2, 32*2 }
};

const char *expedite_regs_mips[] = { "pc", "sp", 0 };

void
init_registers ()
{
    set_register_cache (regs_mips,
			sizeof (regs_mips) / sizeof (regs_mips[0]));
    gdbserver_expedite_regs = expedite_regs_mips;
}
