# $Id: Makefile.gdb.inc 705412 2015-03-31 11:59:28Z ib-builder $

# Use the src/juniper/contrib/gdb sources
# to build gdb-6.5+patches

VERSION= "6.5 [juniper_2006a_411]"
VENDOR= specifix.com

GDBLIBS= ${LIBGDB}

.if !defined(INFO)

.PATH:	${GDBDIR} ${GDBDIR}/gdb ${TARGET_SUBDIR}

CFLAGS+= -DHAVE_CONFIG_H -DRL_NO_COMPAT -DMI_OUT=1 -DTUI=1
CFLAGS+= -I.
CFLAGS+= -I${RELSRCTOP_BSD}/sys/posix4
CFLAGS+= -I${TARGET_SUBDIR}
CFLAGS+= -I${GDBDIR}/gdb
CFLAGS+= -I${GDBDIR}/gdb/config
CFLAGS+= -I${GDBDIR}/include
CFLAGS+= -I${GDBDIR}/bfd
CFLAGS+= -I${GDBDIR}/readline

# Use DPADD as this .inc file is used by libgdb
DPADD+= ${LIBM} ${LIBNCURSES} ${LIBKVM}

GENSRCS+= nm.h tm.h

.include "${TARGET_SUBDIR}/Makefile.gdb"

SRCS+= ${GENSRCS}
CLEANFILES+= ${GENSRCS}

.else

.PATH:	${GDBDIR}/gdb

.endif
